LINUX.ORG.RU

Проблемы с nvidia-kernel-dkms

 , ,


0

1

В продолжение темы: Слягли иксы Debian Testing Точно такая же проблема с обновлением дров и модуля ядра. Когда пытаюсь обновить сам модуль до версии 319.60, заявляет следующее:

Обрабатываются триггеры для initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.10-3-amd64
gzip: stdout: No space left on device
E: mkinitramfs failure cpio 141 gzip 1
update-initramfs: failed for /boot/initrd.img-3.10-3-amd with 1
Что это значит?
В загрузочном секторе есть 10Mb из 100. В корне аж 15Gb свободно.
Видеокарта nvidia 220. Она, вроде, моложе, чем gf8хх

В загрузочном секторе

Разделе, наверное?

есть 10Mb из 100

Это вполне может быть и источник проблемы, ядро-то в /boot обычно храниться.

vazgen05 ★★★ ()
Ответ на: комментарий от sergei9

Спасибо. Разобрался. Тупо /boot был загажен.
Однако с модулем проблема не решилась.
Неужели моя карточка (GT220) устарела и 319 мне не видать? Откатываться на 304? Или в будущем это исправят?

siphonops ★★★ ()
Ответ на: комментарий от sergei9

Посмотрел. Действительно устарела карточка. В следующих версиях уже исключена из списка поддерживаемых продуктов.
Придется ставить 319.17 и страдаль при каждом обновлении ядра.

siphonops ★★★ ()

Приключения продолжаются: При установке драйвера 319.17 с оф.сайта:

ERROR: Failed to run `/usr/sbin/dkms build -m nvidia -v 319.17 -k 3.10-3-amd64`:
Kernel preparation unnecessary for this kernel. Skipping...
Building module:
cleaning build area....
make KERNELRELASE=3.10-3-amd64 module KERNEL_UNAME=3.10-3-amd64.....(bad exit status: 2)
Error! Bad return status for module build on kernel: 3.10-3-amd64 (x86_64)
Consult /var/lib/dkms/nvidia/319.17/buils/make.log for more information.

siphonops ★★★ ()
Ответ на: комментарий от siphonops

Ввиду того, что исходная проблема решена, пересоздаю.

siphonops ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.